<!DOCTYPE html>
<html>
   <head>
      <meta charset = "UTF-8">
      <title id="version"></title>

      <link rel = "stylesheet" href = "../../bower_components/bootstrap/dist/css/bootstrap.min.css" />
      <link rel = "stylesheet" href = "../assets/css/font-awesome.min.css"/>
      <link rel = "stylesheet" href = "../assets/css/styles.css"/>  
	  <!--estilos del sistema web de redes-->
	  <link rel="stylesheet" type="text/css" href="../assets/fonts/line-awesome/css/line-awesome.min.css">
	  <link rel = "stylesheet" href = "../assets/css/colors.min.css"/>
	  <link rel = "stylesheet" href = "../assets/css/components.min.css"/>
        
        <script src = "./global.js" ></script>     
        <script src = "../assets/js/licencia.js" ></script>
        <script src = "../assets/js/login.js" ></script>
        <script src = "../assets/js/modulo.js" ></script>
        <script src = "../assets/js/menu.js" ></script>	    	    
	    <script src = "../assets/js/vendors/js/vendors.min.js" ></script>	    
        <script src = "./view.js" ></script>        
   </head>
   
   <body style="background-image: url('../assets/imagenes/bg2.jpg'); background-size: cover">
	   	   
       <div id="login" style="display: none;">             
         <div class="container">
		 <div class="content-header"> 
			 <div class="col-md-12 col-12 text-center">
				<img src="../assets/imagenes/logo.png" alt="branding logo" class="logo">
			</div> 
		  </div>
           <div id="login-row" class="row justify-content-center align-items-center">
             <div id="login-column" class="col-md-6">
			 
               <div class="login-box col-md-12" style="border-radius:0.35rem">                 
				 <form id="login-form" class="form" action="" method="post">
                     <h3 class="text-center" style="color:#586465; font-size:1.51rem; font-family: 'EncodeSansSemiExpanded-Bold'">Ingresa al Sistema</h3>
                     <br>
                     
					 
				    <div class="form-group ingreso position-relative has-icon-left">                      
						<input type="text" name="username" id="username" class="form-control borde-input" placeholder="Usuario" data-kwimpalastatus="alive" data-kwimpalaid="1553550410620-3" style="background-color: rgb(232, 240, 254) !important;">
						  <div class="form-control-position">
							  <i class="la la-user"></i>
							</div>
				    </div>
					<br>
                     <div class="form-group ingreso position-relative has-icon-left">
                         
						 <input type="password" name="password" id="password" class="form-control borde-input" placeholder="Contraseña" data-kwimpalastatus="alive" data-kwimpalaid="1553550410620-2" style="background-color: rgb(232, 240, 254) !important;">
						<div class="form-control-position">
                          <i class="la la-key"></i>
                        </div>
                     </div>
                     <div class="form-group ingreso">
                         
                         <br>
						 <center>
						 	<input type="submit" name="submit" id="btn_login" class="btn btn-min-width col-md-12 col-12 text-center btn-verde white border" value="Ingresar"><br>
							 <p id="mensajeLogin"></p>
						 </center>                         

                          <div id="mensaje"></div>
                     </div>
                     <div id="register-link" class="form-group">
                         <a id="cargarlicencia" style="display: none;" href="#" class="btn mr-3 mb-3 btn-info">Cargar Licencia</a> 
                         
                     </div>                                 
                 </form>                            
               </div>
             </div>
           </div>
         </div>
       </div>   


       <div id="divprincipal" style="display: none;">            
          		   
		   <div class="row breadcrumbs-top">
            <div class="breadcrumb-wrapper col-12">
			  <a id="atras" class="btn btn-danger" style="display: none;"><i class="la la-undo"></i></a>
			  <a id="atrasprincipal" class="btn btn-danger" style="display: none;"><i class="la la-undo"></i></a>
			  <a id="atrasmodulo" class="btn btn-danger" style="display: none;"><i class="la la-undo"></i></a>
              <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="index.html" id="listaInicio">Inicio</a>
                </li>
                <li class="breadcrumb-item" ><a href="#" id="listaModulo" style="display: none;">Módulo</a>
                </li>
                <li class="breadcrumb-item" id="listaContenido" style="display: none;">Contenido
                </li>
              </ol>
			  <a id="sincronizar" class="btn btn-light" style="display: none; float: right; margin-right: 20px;"><span class="multimediaNombre">Sincronizar todo</span> <img src="../assets/imagenes/carga.png" class="icono"></a>
            </div>
          </div>
		   
		<div id="contenedorModuloInicio">
		  	 	<div class="row" id="modulosInicio">	
		   
		   		</div>
		


			  <div class="row">
				<div class="col-xl-12 col-lg-12 col-md-12" style="margin-top: 5px;" id="colprincipal">				  
									  
				  <h4 id="cargandomodulo" style="text-align: center; display: none;">Cargando Datos, espere un momento por favor...</h4>

				  <div id="moduloresumen" style="display: none;">   
					<h5 id="titulo" style="margin: 15px 20px; color: #000; font-family: 'EncodeSansSemiExpanded-Bold'; border-bottom: 4px solid #F3AD3B; font-size:21px;" ></h5>
					
					<div class="alineacionResumen">                      
					  <p id="parrafodescripcion" style="margin-top: 0px;"></p>
					</div>

					<div id="secciones" >  </div>                                                     
				  </div>

				  

				</div>
			  </div>
			
			  <iframe id = "multimedia" sandbox="allow-same-origin allow-scripts allow-top-navigation allow-popups" style = "width: 100%; height: 99%; display: none;">

			  </iframe>

			   <iframe id = "recurso" sandbox="allow-same-origin allow-scripts allow-top-navigation allow-popups" style = "width: 100%; height: 99%; display: none;">

			  </iframe>
		</div>
	   </div>
		<div id="notification" class="hidden">
			<p id="message"></p>
			<button id="close-button" class="btn btn-dark" onClick="closeNotification()">
			  Cerrar
			</button>
			<button id="restart-button" class="btn btn-info hidden" onClick="restartApp()">
			  Reiniciar
			</button>
		  </div>
		   
		   
		<script>
			const { ipcRenderer } = require('electron');
			const version = document.getElementById('version');
			const notification = document.getElementById('notification');
			const message = document.getElementById('message');
			const restartButton = document.getElementById('restart-button');

			ipcRenderer.send('app_version');
			ipcRenderer.on('app_version', (event, arg) => {
			  ipcRenderer.removeAllListeners('app_version');
			  version.innerText = 'Agenda Santillana Digital ' + arg.version;
			});

			ipcRenderer.on('update_available', () => {
			  ipcRenderer.removeAllListeners('update_available');
			  message.innerText = 'Existe una actualización. Descargando ahora...';
			  notification.classList.remove('hidden');
			});

			ipcRenderer.on('update_downloaded', () => {
			  ipcRenderer.removeAllListeners('update_downloaded');
			  message.innerText = 'Actualización descargada. Se instalará cuando reinicie la aplicación. Desea reiniciar ahora?';
			  restartButton.classList.remove('hidden');
			  notification.classList.remove('hidden');
			});

			function closeNotification() {
			  notification.classList.add('hidden');
			}

			function restartApp() {
			  ipcRenderer.send('restart_app');
			}
		</script>
		
   </body>
</html>